Skip to main content
POST
TypeScript

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

accountId
string
required

The unique identifier of the connected account whose API key credentials are being replaced.

Minimum string length: 1

Body

application/json
creds
string<byte>
required

Base64-encoded RSA-encrypted credential blob (the new secret). Encrypt using the public key from GET /connected_accounts/credentials/public_key.

Example:

"base64encodedencryptedcredentials=="

apiKey
string
required

The new account-level API key. Mandatory for credential update.

Example:

"api_key_new_abc123"

Response

Credential update initiated (pending approval).

accounts
object[]
required

The account whose credentials are pending update (status WAITING_FOR_APPROVAL). Old credentials stay live until the change is approved.

Example: